### Function

# Gtk TreeSelectionForeachFunc

since: 4.0

#### Declaration

    void
    (* GtkTreeSelectionForeachFunc) (
      GtkTreeModel* model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function used by `gtk_tree_selection_selected_foreach()` to map all selected rows. It will be called on every selected row in the view.

Available since: 4.0

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModel` being viewed.

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  The `GtkTreePath` of a selected row.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` pointing to a selected row.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.